websocket-sharp : WebSocketSharp.Server Namespace

# WebSocketServiceHost<T> Generic Class

Documentation for this section has not yet been entered.

## Syntax

public class WebSocketServiceHost<T> : WebSocketServerBase, IServiceHost
where T : WebSocketSharp.Server.WebSocketService, new()

#### Type Parameters

> T
>   Documentation for this section has not yet been entered.

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from WebSocketServerBase.

## Public Constructors

| WebSocketServiceHost (int) | Documentation for this section has not yet been entered.
| WebSocketServiceHost (string) | Documentation for this section has not yet been entered.
| WebSocketServiceHost (int, bool) | Documentation for this section has not yet been entered.
| WebSocketServiceHost (int, string) | Documentation for this section has not yet been entered.
| WebSocketServiceHost (int, string, bool) | Documentation for this section has not yet been entered.
| WebSocketServiceHost (System.Net.IPAddress, int, string) | Documentation for this section has not yet been entered.
| WebSocketServiceHost (System.Net.IPAddress, int, string, bool) | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | Address | System.Net.IPAddress . Gets the local IP address on which to listen for incoming connection attempts. (Inherited from WebSocketServerBase.)
[read-only] | IsSecure | bool . Gets a value indicating whether this server is secure. (Inherited from WebSocketServerBase.)
[read-only] | IsSelfHost | bool . Gets a value indicating whether this server is self host. (Inherited from WebSocketServerBase.)
[read-only] | Port | int . Gets the port on which to listen for incoming connection attempts. (Inherited from WebSocketServerBase.)
| Sweeped | bool . Documentation for this section has not yet been entered.
[read-only] | Uri | Uri . Documentation for this section has not yet been entered.

## Protected Properties

| BaseUri | Uri . Gets or sets the WebSocket URL on which to listen for incoming connection attempts. (Inherited from WebSocketServerBase.)

## Public Methods

BindWebSocket (WebSocketSharp.WebSocket)

> Documentation for this section has not yet been entered.

Broadcast (string)

> Documentation for this section has not yet been entered.

Broadping (string) : Dictionary<string, bool>

> Documentation for this section has not yet been entered.

Start ()

> Starts to receive the WebSocket connection requests. (Inherited from WebSocketServerBase.)

override

Stop ()

> Documentation for this section has not yet been entered.

Stop ()

> Stops receiving the WebSocket connection requests. (Inherited from WebSocketServerBase.)

## Protected Methods

override

AcceptWebSocket (System.Net.Sockets.TcpClient)

> Documentation for this section has not yet been entered.

abstract

AcceptWebSocket (System.Net.Sockets.TcpClient)

> Accepts the WebSocket connection. (Inherited from WebSocketServerBase.)

Error (string)

> Occurs the WebSocketServerBase.OnError event with the specified message. (Inherited from WebSocketServerBase.)

## Public Events

| OnError | Occurs when this server gets an error. (Inherited from WebSocketServerBase.)

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### WebSocketServiceHost Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServiceHost (int port)

> #### Parameters

> > port
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServiceHost Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServiceHost (string url)

> #### Parameters

> > url
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServiceHost Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServiceHost (int port, bool secure)

> #### Parameters

> > port
> >   Documentation for this section has not yet been entered.
> > secure
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServiceHost Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServiceHost (int port, string absPath)

> #### Parameters

> > port
> >   Documentation for this section has not yet been entered.
> > absPath
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServiceHost Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServiceHost (int port, string absPath, bool secure)

> #### Parameters

> > port
> >   Documentation for this section has not yet been entered.
> > absPath
> >   Documentation for this section has not yet been entered.
> > secure
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServiceHost Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServiceHost (System.Net.IPAddress address, int port, string absPath)

> #### Parameters

> > address
> >   Documentation for this section has not yet been entered.
> > port
> >   Documentation for this section has not yet been entered.
> > absPath
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServiceHost Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServiceHost (System.Net.IPAddress address, int port, string absPath, bool secure)

> #### Parameters

> > address
> >   Documentation for this section has not yet been entered.
> > port
> >   Documentation for this section has not yet been entered.
> > absPath
> >   Documentation for this section has not yet been entered.
> > secure
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### AcceptWebSocket Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected override void AcceptWebSocket (System.Net.Sockets.TcpClient client)

> #### Parameters

> > client
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### BindWebSocket Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void BindWebSocket (WebSocketSharp.WebSocket socket)

> #### Parameters

> > socket
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Broadcast Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Broadcast (string data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Broadping Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public Dictionary<string, bool> Broadping (string message)

> #### Parameters

> > message
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Sweeped Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Sweeped { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Uri Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Uri Uri { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581